get_sound_input_cap_parm(3)

NAME
get_sound_input_cap_parm

SYNOPSIS
#include <allegro.h>

int get_sound_input_cap_parm(int rate, int bits, int stereo);

DESCRIPTION
Checks whether the specified recording frequency, number of bits, and mono/stereo mode are supported by the current audio driver, returning one of the values: 0 = it is impossible to record in this format 1 = recording is possible, but audio output will be suspended 2 = recording is possible at the same time as playing other sounds -n = sampling rate not supported, but rate 'n' would work instead

SEE ALSO
start_sound_input(3), get_sound_input_cap_bits(3), get_sound_input_cap_rate(3), get_sound_input_cap_stereo(3)